function makeVideoFromColumn( videoColumn, videoPath, vidWidth, vidHeight)
%MAKEVIDEOFROMCOLUMN (A, videoPath, Width, Height) - funkce 
%vytvori a ulozi video ve formatu AVI.
%   A         - matice pozorovani;
%   Width     - sirka videozaberu;
%   Height    - vyska videozaberu;
%   videoPath - cilova (existujici) lokace souboru videa.

frameCount = size( videoColumn, 2 );

vidWriter = VideoWriter( videoPath );
open( vidWriter );

for t = 1 : frameCount
    % transformace snimku videa ve tvaru sloupcu do obrazku
    currFrame = uint8( reshape( videoColumn(:,t), vidHeight, vidWidth ) );
    
    writeVideo( vidWriter,currFrame );
end

close( vidWriter );
end